Fedora 16 Update: perl-Test-Requires-0.06-4.fc16

updates at fedoraproject.org updates at fedoraproject.org
Sun Apr 1 00:29:40 UTC 2012


--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2012-4619
2012-03-24 00:07:27
--------------------------------------------------------------------------------

Name        : perl-Test-Requires
Product     : Fedora 16
Version     : 0.06
Release     : 4.fc16
URL         : http://search.cpan.org/dist/Test-Requires
Summary     : Checks to see if a given module can be loaded
Description :
Test::Requires checks to see if the module can be loaded.

If this fails, rather than failing tests this skips all tests.

--------------------------------------------------------------------------------
Update Information:

This update merges the tests subpackage back into the main package.
--------------------------------------------------------------------------------
ChangeLog:

* Thu Mar 22 2012 Paul Howarth <paul at city-fan.org> - 0.06-4
- Drop -tests subpackage (general lack of interest in this), but include
  them as documentation for the main package
- Don't need explicit runtime dependency on perl(Test::Builder::Module) if we
  have rpm ≥ 4.9 as it can auto-detect it
- BR: at least version 0.61 of perl(Test::More) as per upstream
- Drop unnecessary version requirement for perl(ExtUtils::MakeMaker)
- Drop redundant %{?perl_default_filter}
- BR: aspell-en rather than hunspell-en on old distributions where
  Test::Spelling uses aspell instead of hunspell
- Don't BR: perl(Test::Perl::Critic) when bootstrapping
- Don't use macros for commands
- Don't need to remove empty directories from buildroot
- Make %files list more explicit
- Drop %defattr, redundant since rpm 4.4
- Use tabs
* Wed Aug 17 2011 Paul Howarth <paul at city-fan.org> - 0.06-3
- BR: hunspell-en rather than aspell-en (#731272)
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update perl-Test-Requires' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
--------------------------------------------------------------------------------


More information about the package-announce mailing list